> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realtoraai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Branded Listing Post

> Generate branded social media graphics for property listings.

Generate a professional branded social media graphic for a property listing.

## Endpoint

```
POST /functions/v1/branded-listing-post
```

## Request body

| Parameter          | Type    | Description                                |
| ------------------ | ------- | ------------------------------------------ |
| `listing_id`       | string  | Listing to use                             |
| `template_id`      | string  | Design template                            |
| `overlay_text`     | string  | Custom text overlay (e.g., "Just Listed!") |
| `include_headshot` | boolean | Include agent headshot                     |
| `include_logo`     | boolean | Include brand logo                         |

## Response

```json theme={null}
{
  "image_url": "https://storage.example.com/branded-post.png",
  "width": 1080,
  "height": 1080
}
```
